Subject: Re: bug#39402: set-xorg-configuration pulls in unsupported packages on target architecture

From: Efraim Flashner <[email-masked]>
Date: Tue, 4 Feb 2020 13:05:21 +0200

On Mon, Feb 03, 2020 at 01:22:16AM +0000, shtwzrd via Bug reports for GNU Guix wrote:
> Howdy :),
> 
> I've found that the `set-xorg-configuration` service ends up pulling in `xf86-video-intel` as a dependency. But `xf86-video-intel` fails to build, with:
> 
> ```
> checking whether to include UXA support... no
> checking whether to include SNA support... auto
> checking for xvmc dri2proto x11 x11-xcb xcb-dri2 xcb-aux libdrm_intel... no
> checking whether to include XvMC support... no
> checking which acceleration method to use by default... configure: error: UXA requested as default, but is not enabled
> command "/gnu/store/iql3p5zvz0nwcsckdpywdkqxccx95ygx-bash-minimal-5.0.7/bin/bash" "./configure" "CONFIG_SHELL=/gnu/store/iql3p5zvz0nwcsckdpywdkqxccx95ygx-bash-minimal-5.0.7/bin/bash" "SHELL=/gnu/store/iql3p5zvz0nwcsckdpywdkqxccx95ygx-bash-minimal-5.0.7/bin/bash" "--prefix=/gnu/store/grlry4nmhxmb2ahlbpzdvyy33wgnh87h-xf86-video-intel-2.99.917-15.f66d395" "--enable-fast-install" "--build=aarch64-unknown-linux-gnu" "--with-default-accel=uxa" failed with status 1
> ```
> 
> What's more, the package definition for xf86-video-intel contains this:
> 
> ```
> (supported-systems
>        ;; This driver is only supported on Intel systems.
>        (filter (lambda (system) (or (string-prefix? "i686-" system)
>                                     (string-prefix? "x86_64-" system)))
>                %supported-systems))
> ```
> 
> So it seems like it's a bug that it currently gets included on non i686 and x86_64 targets.
> 
> Even if I supply a modules field in set-xorg-configuration where I exclude `xf86-video-intel`, guix still tries to build it.

Can you share your config? We might be able to work around it for now.

> The only reference to `xf86-video-intel` is its inclusion in %default-xorg-modules -- would making the contents of that list target-aware be a potential fix?

That sounds like a good long-term solution, to only include modules
which are appropriate for that architecture.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted